---
RSpec/VerifiedDoubles:
  Exclude:
    - ee/spec/controllers/boards/issues_controller_spec.rb
    - ee/spec/controllers/concerns/ee/routable_actions/sso_enforcement_redirect_spec.rb
    - ee/spec/controllers/groups/clusters_controller_spec.rb
    - ee/spec/controllers/groups/sso_controller_spec.rb
    - ee/spec/controllers/oauth/geo_auth_controller_spec.rb
    - ee/spec/controllers/projects/clusters_controller_spec.rb
    - ee/spec/db/production/license_spec.rb
    - ee/spec/elastic/migrate/20210510113500_delete_merge_requests_from_original_index_spec.rb
    - ee/spec/elastic/migrate/20210510143200_delete_notes_from_original_index_spec.rb
    - ee/spec/features/admin/groups/admin_subscription_alerts_spec.rb
    - ee/spec/features/billings/billing_plans_spec.rb
    - ee/spec/features/merge_trains/two_merge_requests_on_train_spec.rb
    - ee/spec/features/profiles/account_spec.rb
    - ee/spec/finders/license_template_finder_spec.rb
    - ee/spec/finders/projects/integrations/jira/issues_finder_spec.rb
    - ee/spec/finders/security/pipeline_vulnerabilities_finder_spec.rb
    - ee/spec/finders/template_finder_spec.rb
    - ee/spec/graphql/ee/resolvers/board_lists_resolver_spec.rb
    - ee/spec/graphql/mutations/dast_scanner_profiles/create_spec.rb
    - ee/spec/graphql/mutations/dast_site_profiles/create_spec.rb
    - ee/spec/graphql/mutations/dast_site_profiles/delete_spec.rb
    - ee/spec/graphql/mutations/dast_site_profiles/update_spec.rb
    - ee/spec/graphql/mutations/incident_management/oncall_rotation/create_spec.rb
    - ee/spec/graphql/mutations/issues/promote_to_epic_spec.rb
    - ee/spec/graphql/mutations/issues/set_epic_spec.rb
    - ee/spec/graphql/mutations/merge_requests/accept_spec.rb
    - ee/spec/graphql/mutations/vulnerabilities/create_external_issue_link_spec.rb
    - ee/spec/graphql/mutations/vulnerabilities/destroy_external_issue_link_spec.rb
    - ee/spec/graphql/resolvers/board_groupings/epics_resolvers_spec.rb
    - ee/spec/graphql/resolvers/external_issue_resolver_spec.rb
    - ee/spec/graphql/resolvers/security_report_summary_resolver_spec.rb
    - ee/spec/graphql/resolvers/vulnerabilities/details_resolver_spec.rb
    - ee/spec/graphql/types/network_policy_type_spec.rb
    - ee/spec/graphql/types/security/training_type_spec.rb
    - ee/spec/helpers/billing_plans_helper_spec.rb
    - ee/spec/helpers/ee/ci/runners_helper_spec.rb
    - ee/spec/helpers/ee/integrations_helper_spec.rb
    - ee/spec/helpers/ee/subscribable_banner_helper_spec.rb
    - ee/spec/helpers/ee/trial_helper_spec.rb
    - ee/spec/helpers/ee/trial_registration_helper_spec.rb
    - ee/spec/helpers/kerberos_spnego_helper_spec.rb
    - ee/spec/helpers/license_helper_spec.rb
    - ee/spec/helpers/roadmaps_helper_spec.rb
    - ee/spec/helpers/routing/pseudonymization_helper_spec.rb
    - ee/spec/helpers/subscriptions_helper_spec.rb
    - ee/spec/helpers/timeboxes_helper_spec.rb
    - ee/spec/helpers/vulnerabilities_helper_spec.rb
    - ee/spec/lib/ee/backup/repositories_spec.rb
    - ee/spec/lib/ee/gitlab/background_migration/migrate_approver_to_approval_rules_in_batch_spec.rb
    - ee/spec/lib/ee/gitlab/background_migration/migrate_approver_to_approval_rules_spec.rb
    - ee/spec/lib/ee/gitlab/ci/matching/runner_matcher_spec.rb
    - ee/spec/lib/ee/gitlab/ci/pipeline/quota/size_spec.rb
    - ee/spec/lib/ee/gitlab/etag_caching/router/rails_spec.rb
    - ee/spec/lib/ee/gitlab/gon_helper_spec.rb
    - ee/spec/lib/elastic/latest/config_shared_examples.rb
    - ee/spec/lib/elastic/latest/git_instance_proxy_spec.rb
    - ee/spec/lib/elastic/migration_spec.rb
    - ee/spec/lib/elastic/multi_version_class_proxy_spec.rb
    - ee/spec/lib/elastic/multi_version_instance_proxy_spec.rb
    - ee/spec/lib/gitlab/audit/target_spec.rb
    - ee/spec/lib/gitlab/auth/group_saml/response_check_spec.rb
    - ee/spec/lib/gitlab/auth/group_saml/token_actor_spec.rb
    - ee/spec/lib/gitlab/auth/otp/session_enforcer_spec.rb
    - ee/spec/lib/gitlab/authority_analyzer_spec.rb
    - ee/spec/lib/gitlab/cache_spec.rb
    - ee/spec/lib/gitlab/ci/pipeline/chain/limit/activity_spec.rb
    - ee/spec/lib/gitlab/ci/pipeline/chain/limit/job_activity_spec.rb
    - ee/spec/lib/gitlab/ci/pipeline/chain/limit/size_spec.rb
    - ee/spec/lib/gitlab/code_owners/groups_loader_spec.rb
    - ee/spec/lib/gitlab/code_owners/users_loader_spec.rb
    - ee/spec/lib/gitlab/custom_file_templates_spec.rb
    - ee/spec/lib/gitlab/elastic/client_spec.rb
    - ee/spec/lib/gitlab/elastic/search_results_spec.rb
    - ee/spec/lib/gitlab/expiring_subscription_message_spec.rb
    - ee/spec/lib/gitlab/geo/git_ssh_proxy_spec.rb
    - ee/spec/lib/gitlab/geo/log_cursor/lease_spec.rb
    - ee/spec/lib/gitlab/geo/oauth/logout_token_spec.rb
    - ee/spec/lib/gitlab/geo/oauth/session_spec.rb
    - ee/spec/lib/gitlab/geo/replication/job_artifact_retriever_spec.rb
    - ee/spec/lib/gitlab/geo/replication/job_artifact_transfer_spec.rb
    - ee/spec/lib/gitlab/geo/replicator_spec.rb
    - ee/spec/lib/gitlab/geo_spec.rb
    - ee/spec/lib/gitlab/git_access_spec.rb
    - ee/spec/lib/gitlab/graphql/aggregations/issues/lazy_block_aggregate_spec.rb
    - ee/spec/lib/gitlab/import_export/group/relation_factory_spec.rb
    - ee/spec/lib/gitlab/middleware/ip_restrictor_spec.rb
    - ee/spec/lib/gitlab/patch/legacy_database_config_spec.rb
    - ee/spec/lib/gitlab/prometheus/queries/cluster_query_spec.rb
    - ee/spec/lib/gitlab/subscription_portal/clients/rest_spec.rb
    - ee/spec/lib/sidebars/groups/menus/analytics_menu_spec.rb
    - ee/spec/lib/system_check/app/elasticsearch_check_spec.rb
    - ee/spec/lib/system_check/geo/geo_database_configured_check_spec.rb
    - ee/spec/models/app_sec/fuzzing/api/ci_configuration_spec.rb
    - ee/spec/models/approvable_spec.rb
    - ee/spec/models/concerns/ee/sha_attribute_spec.rb
    - ee/spec/models/concerns/geo/verification_state_spec.rb
    - ee/spec/models/ee/ci/job_artifact_spec.rb
    - ee/spec/models/ee/user_spec.rb
    - ee/spec/models/elastic/index_setting_spec.rb
    - ee/spec/models/geo/project_registry_spec.rb
    - ee/spec/models/geo/secondary_usage_data_spec.rb
    - ee/spec/models/geo_node_status_spec.rb
    - ee/spec/models/integrations/github/status_message_spec.rb
    - ee/spec/models/integrations/github_spec.rb
    - ee/spec/models/project_spec.rb
    - ee/spec/models/push_rule_spec.rb
    - ee/spec/presenters/audit_event_presenter_spec.rb
    - ee/spec/presenters/group_member_presenter_spec.rb
    - ee/spec/presenters/merge_request_approver_presenter_spec.rb
    - ee/spec/presenters/project_member_presenter_spec.rb
    - ee/spec/requests/api/alert_management_alerts_spec.rb
    - ee/spec/requests/api/geo_spec.rb
    - ee/spec/requests/api/graphql/mutations/dast_site_profiles/delete_spec.rb
    - ee/spec/requests/api/internal/base_spec.rb
    - ee/spec/requests/api/ldap_spec.rb
    - ee/spec/requests/api/visual_review_discussions_spec.rb
    - ee/spec/requests/api/vulnerability_findings_spec.rb
    - ee/spec/requests/callout_spec.rb
    - ee/spec/requests/rack_attack_spec.rb
    - ee/spec/serializers/blocking_merge_request_entity_spec.rb
    - ee/spec/serializers/clusters/environment_entity_spec.rb
    - ee/spec/serializers/dashboard_operations_project_entity_spec.rb
    - ee/spec/serializers/dependency_entity_spec.rb
    - ee/spec/serializers/ee/admin/user_entity_spec.rb
    - ee/spec/serializers/ee/build_details_entity_spec.rb
    - ee/spec/serializers/ee/ci/job_entity_spec.rb
    - ee/spec/serializers/ee/ci/pipeline_entity_spec.rb
    - ee/spec/serializers/ee/group_child_entity_spec.rb
    - ee/spec/serializers/ee/issue_board_entity_spec.rb
    - ee/spec/serializers/ee/issue_entity_spec.rb
    - ee/spec/serializers/ee/issue_sidebar_extras_entity_spec.rb
    - ee/spec/serializers/ee/merge_request_poll_cached_widget_entity_spec.rb
    - ee/spec/serializers/ee/note_entity_spec.rb
    - ee/spec/serializers/environment_entity_spec.rb
    - ee/spec/serializers/epic_entity_spec.rb
    - ee/spec/serializers/epic_note_entity_spec.rb
    - ee/spec/serializers/integrations/jira_serializers/issue_detail_entity_spec.rb
    - ee/spec/serializers/integrations/jira_serializers/issue_entity_spec.rb
    - ee/spec/serializers/issuable_sidebar_extras_entity_spec.rb
    - ee/spec/serializers/issues/linked_issue_feature_flag_entity_spec.rb
    - ee/spec/serializers/linked_feature_flag_issue_entity_spec.rb
    - ee/spec/serializers/merge_request_compliance_entity_spec.rb
    - ee/spec/serializers/merge_request_poll_widget_entity_spec.rb
    - ee/spec/serializers/merge_request_sidebar_basic_entity_spec.rb
    - ee/spec/serializers/merge_request_widget_entity_spec.rb
    - ee/spec/serializers/service_field_entity_spec.rb
    - ee/spec/serializers/test_reports_comparer_serializer_spec.rb
    - ee/spec/serializers/user_analytics_entity_spec.rb
    - ee/spec/serializers/vulnerabilities/feedback_entity_spec.rb
    - ee/spec/serializers/vulnerabilities/finding_entity_spec.rb
    - ee/spec/serializers/vulnerabilities/finding_reports_comparer_entity_spec.rb
    - ee/spec/serializers/vulnerabilities/finding_serializer_spec.rb
    - ee/spec/serializers/vulnerability_note_entity_spec.rb
    - ee/spec/services/alert_management/extract_alert_payload_fields_service_spec.rb
    - ee/spec/services/app_sec/dast/scans/create_service_spec.rb
    - ee/spec/services/app_sec/dast/site_profiles/update_service_spec.rb
    - ee/spec/services/app_sec/fuzzing/api/ci_configuration_create_service_spec.rb
    - ee/spec/services/ci/create_pipeline_service/dast_configuration_spec.rb
    - ee/spec/services/ci/minutes/track_live_consumption_service_spec.rb
    - ee/spec/services/ci/minutes/update_project_and_namespace_usage_service_spec.rb
    - ee/spec/services/ci/pipeline_creation/drop_not_runnable_builds_service_spec.rb
    - ee/spec/services/ci/pipeline_creation/start_pipeline_service_spec.rb
    - ee/spec/services/dashboard/operations/list_service_spec.rb
    - ee/spec/services/dashboard/projects/create_service_spec.rb
    - ee/spec/services/ee/ci/job_artifacts/destroy_all_expired_service_spec.rb
    - ee/spec/services/ee/ci/job_artifacts/destroy_batch_service_spec.rb
    - ee/spec/services/ee/issues/create_service_spec.rb
    - ee/spec/services/ee/issues/update_service_spec.rb
    - ee/spec/services/ee/merge_requests/base_service_spec.rb
    - ee/spec/services/ee/merge_requests/post_merge_service_spec.rb
    - ee/spec/services/ee/merge_requests/refresh_service_spec.rb
    - ee/spec/services/ee/notification_service_spec.rb
    - ee/spec/services/ee/post_receive_service_spec.rb
    - ee/spec/services/ee/service_ping/build_payload_service_spec.rb
    - ee/spec/services/ee/service_ping/permit_data_categories_service_spec.rb
    - ee/spec/services/ee/service_ping/service_ping_settings_spec.rb
    - ee/spec/services/geo/blob_download_service_spec.rb
    - ee/spec/services/geo/graphql_request_service_spec.rb
    - ee/spec/services/geo/node_status_request_service_spec.rb
    - ee/spec/services/geo/replication_toggle_request_service_spec.rb
    - ee/spec/services/geo/repository_verification_primary_service_spec.rb
    - ee/spec/services/gitlab_subscriptions/fetch_subscription_plans_service_spec.rb
    - ee/spec/services/group_saml/group_managed_accounts/clean_up_members_service_spec.rb
    - ee/spec/services/group_saml/sign_up_service_spec.rb
    - ee/spec/services/groups/update_repository_storage_service_spec.rb
    - ee/spec/services/ide/schemas_config_service_spec.rb
    - ee/spec/services/incident_management/oncall_schedules/update_service_spec.rb
    - ee/spec/services/incident_management/pending_escalations/process_service_spec.rb
    - ee/spec/services/merge_requests/approval_service_spec.rb
    - ee/spec/services/merge_requests/build_service_spec.rb
    - ee/spec/services/merge_requests/reset_approvals_service_spec.rb
    - ee/spec/services/namespaces/in_product_marketing_emails_service_spec.rb
    - ee/spec/services/projects/update_mirror_service_spec.rb
    - ee/spec/services/projects/update_pages_service_spec.rb
    - ee/spec/services/security/ingestion/ingest_report_slice_service_spec.rb
    - ee/spec/services/security/orchestration/assign_service_spec.rb
    - ee/spec/services/security/security_orchestration_policies/on_demand_scan_pipeline_configuration_service_spec.rb
    - ee/spec/services/slash_commands/global_slack_handler_spec.rb
    - ee/spec/services/status_page/publish_details_service_spec.rb
    - ee/spec/services/status_page/publish_service_spec.rb
    - ee/spec/services/status_page/trigger_publish_service_spec.rb
    - ee/spec/services/system_note_service_spec.rb
    - ee/spec/services/vulnerability_exports/export_service_spec.rb
    - ee/spec/services/vulnerability_external_issue_links/create_service_spec.rb
    - ee/spec/support/helpers/ee/ldap_helpers.rb
    - ee/spec/support/prometheus/additional_metrics_shared_examples.rb
    - ee/spec/support/shared_examples/controllers/analytics/cycle_analytics/shared_stage_shared_examples.rb
    - ee/spec/support/shared_examples/controllers/cluster_metrics_shared_examples.rb
    - ee/spec/support/shared_examples/models/concerns/blob_replicator_strategy_shared_examples.rb
    - ee/spec/support/shared_examples/models/concerns/verifiable_replicator_shared_examples.rb
    - ee/spec/support/shared_examples/models/geo_verifiable_registry_shared_examples.rb
    - ee/spec/support/shared_examples/serializers/report_status_shared_examples.rb
    - ee/spec/support/shared_examples/services/alert_management/alert_processing/oncall_notifications_shared_examples.rb
    - ee/spec/support/shared_examples/services/base_sync_service_shared_examples.rb
    - ee/spec/support/shared_examples/services/geo/geo_request_service_shared_examples.rb
    - ee/spec/support/shared_examples/status_page/reference_links_examples.rb
    - ee/spec/validators/json_schema_validator_spec.rb
    - ee/spec/views/layouts/header/_ee_subscribable_banner.html.haml_spec.rb
    - ee/spec/workers/ci/sync_reports_to_report_approval_rules_worker_spec.rb
    - ee/spec/workers/geo/container_repository_sync_worker_spec.rb
    - ee/spec/workers/geo/design_repository_sync_worker_spec.rb
    - ee/spec/workers/geo/destroy_worker_spec.rb
    - ee/spec/workers/geo/event_worker_spec.rb
    - ee/spec/workers/geo/metrics_update_worker_spec.rb
    - ee/spec/workers/geo/prune_event_log_worker_spec.rb
    - ee/spec/workers/geo/registry_sync_worker_spec.rb
    - ee/spec/workers/geo/reverification_batch_worker_spec.rb
    - ee/spec/workers/geo/sidekiq_cron_config_worker_spec.rb
    - ee/spec/workers/geo/sync_timeout_cron_worker_spec.rb
    - ee/spec/workers/geo/verification_batch_worker_spec.rb
    - ee/spec/workers/geo/verification_cron_worker_spec.rb
    - ee/spec/workers/geo/verification_timeout_worker_spec.rb
    - ee/spec/workers/geo/verification_worker_spec.rb
    - ee/spec/workers/iterations/cadences/create_iterations_worker_spec.rb
    - ee/spec/workers/iterations/roll_over_issues_worker_spec.rb
    - ee/spec/workers/ldap_group_sync_worker_spec.rb
    - ee/spec/workers/merge_request_reset_approvals_worker_spec.rb
    - ee/spec/workers/new_epic_worker_spec.rb
    - ee/spec/workers/update_max_seats_used_for_gitlab_com_subscriptions_worker_spec.rb
    - qa/spec/git/repository_spec.rb
    - qa/spec/page/base_spec.rb
    - qa/spec/page/validator_spec.rb
    - qa/spec/page/view_spec.rb
    - qa/spec/resource/api_fabricator_spec.rb
    - qa/spec/resource/base_spec.rb
    - qa/spec/runtime/application_settings_spec.rb
    - qa/spec/runtime/feature_spec.rb
    - qa/spec/runtime/release_spec.rb
    - qa/spec/scenario/template_spec.rb
    - qa/spec/scenario/test/integration/github_spec.rb
    - qa/spec/scenario/test/sanity/selectors_spec.rb
    - qa/spec/specs/allure_report_spec.rb
    - qa/spec/support/formatters/allure_metadata_formatter_spec.rb
    - qa/spec/support/page_error_checker_spec.rb
    - qa/spec/support/run_spec.rb
    - qa/spec/support/shared_examples/scenario_shared_examples.rb
    - qa/spec/tools/long_running_spec_reporter_spec.rb
    - spec/benchmarks/banzai_benchmark.rb
    - spec/bin/feature_flag_spec.rb
    - spec/controllers/admin/clusters_controller_spec.rb
    - spec/controllers/application_controller_spec.rb
    - spec/controllers/boards/issues_controller_spec.rb
    - spec/controllers/boards/lists_controller_spec.rb
    - spec/controllers/concerns/checks_collaboration_spec.rb
    - spec/controllers/concerns/import_url_params_spec.rb
    - spec/controllers/concerns/issuable_actions_spec.rb
    - spec/controllers/concerns/issuable_collections_spec.rb
    - spec/controllers/concerns/page_limiter_spec.rb
    - spec/controllers/concerns/spammable_actions/akismet_mark_as_spam_action_spec.rb
    - spec/controllers/concerns/spammable_actions/captcha_check/html_format_actions_support_spec.rb
    - spec/controllers/concerns/spammable_actions/captcha_check/json_format_actions_support_spec.rb
    - spec/controllers/dashboard/snippets_controller_spec.rb
    - spec/controllers/explore/projects_controller_spec.rb
    - spec/controllers/groups/clusters_controller_spec.rb
    - spec/controllers/groups/dependency_proxy_auth_controller_spec.rb
    - spec/controllers/groups/dependency_proxy_for_containers_controller_spec.rb
    - spec/controllers/help_controller_spec.rb
    - spec/controllers/import/bitbucket_controller_spec.rb
    - spec/controllers/import/bitbucket_server_controller_spec.rb
    - spec/controllers/import/bulk_imports_controller_spec.rb
    - spec/controllers/import/fogbugz_controller_spec.rb
    - spec/controllers/import/gitea_controller_spec.rb
    - spec/controllers/import/github_controller_spec.rb
    - spec/controllers/import/gitlab_controller_spec.rb
    - spec/controllers/oauth/jira_dvcs/authorizations_controller_spec.rb
    - spec/controllers/omniauth_callbacks_controller_spec.rb
    - spec/controllers/profiles/two_factor_auths_controller_spec.rb
    - spec/controllers/projects/blob_controller_spec.rb
    - spec/controllers/projects/branches_controller_spec.rb
    - spec/controllers/projects/clusters_controller_spec.rb
    - spec/controllers/projects/import/jira_controller_spec.rb
    - spec/controllers/projects/jobs_controller_spec.rb
    - spec/controllers/projects/merge_requests/diffs_controller_spec.rb
    - spec/controllers/projects/merge_requests_controller_spec.rb
    - spec/controllers/projects/notes_controller_spec.rb
    - spec/controllers/projects/pages_controller_spec.rb
    - spec/controllers/projects/performance_monitoring/dashboards_controller_spec.rb
    - spec/controllers/projects/pipelines_controller_spec.rb
    - spec/controllers/projects/prometheus/metrics_controller_spec.rb
    - spec/controllers/projects/registry/tags_controller_spec.rb
    - spec/controllers/projects/settings/operations_controller_spec.rb
    - spec/controllers/projects/snippets_controller_spec.rb
    - spec/controllers/sessions_controller_spec.rb
    - spec/dependencies/omniauth_saml_spec.rb
    - spec/experiments/concerns/project_commit_count_spec.rb
    - spec/factories/ci/job_artifacts.rb
    - spec/factories/clusters/applications/helm.rb
    - spec/features/admin/admin_system_info_spec.rb
    - spec/features/clusters/create_agent_spec.rb
    - spec/features/file_uploads/maven_package_spec.rb
    - spec/features/groups/container_registry_spec.rb
    - spec/features/help_pages_spec.rb
    - spec/features/issuables/markdown_references/jira_spec.rb
    - spec/features/markdown/markdown_spec.rb
    - spec/features/profiles/personal_access_tokens_spec.rb
    - spec/features/projects/clusters/gcp_spec.rb
    - spec/features/projects/clusters_spec.rb
    - spec/features/projects/container_registry_spec.rb
    - spec/features/projects/integrations/user_activates_jira_spec.rb
    - spec/finders/ci/auth_job_finder_spec.rb
    - spec/finders/merge_requests/oldest_per_commit_finder_spec.rb
    - spec/finders/repositories/changelog_commits_finder_spec.rb
    - spec/finders/repositories/changelog_tag_finder_spec.rb
    - spec/graphql/features/authorization_spec.rb
    - spec/graphql/features/feature_flag_spec.rb
    - spec/graphql/mutations/alert_management/alerts/todo/create_spec.rb
    - spec/graphql/mutations/alert_management/update_alert_status_spec.rb
    - spec/graphql/mutations/branches/create_spec.rb
    - spec/graphql/mutations/ci/job_token_scope/add_project_spec.rb
    - spec/graphql/mutations/ci/job_token_scope/remove_project_spec.rb
    - spec/graphql/mutations/concerns/mutations/finds_by_gid_spec.rb
    - spec/graphql/mutations/design_management/upload_spec.rb
    - spec/graphql/mutations/environments/canary_ingress/update_spec.rb
    - spec/graphql/mutations/merge_requests/accept_spec.rb
    - spec/graphql/mutations/merge_requests/create_spec.rb
    - spec/graphql/resolvers/design_management/versions_resolver_spec.rb
    - spec/graphql/resolvers/kas/agent_connections_resolver_spec.rb
    - spec/graphql/resolvers/projects/jira_projects_resolver_spec.rb
    - spec/graphql/types/ci/detailed_status_type_spec.rb
    - spec/graphql/types/ci/status_action_type_spec.rb
    - spec/graphql/types/kas/agent_connection_type_spec.rb
    - spec/graphql/types/permission_types/base_permission_type_spec.rb
    - spec/graphql/types/project_type_spec.rb
    - spec/graphql/types/range_input_type_spec.rb
    - spec/helpers/blame_helper_spec.rb
    - spec/helpers/blob_helper_spec.rb
    - spec/helpers/ci/pipelines_helper_spec.rb
    - spec/helpers/ci/status_helper_spec.rb
    - spec/helpers/ci/triggers_helper_spec.rb
    - spec/helpers/commits_helper_spec.rb
    - spec/helpers/dev_ops_report_helper_spec.rb
    - spec/helpers/diff_helper_spec.rb
    - spec/helpers/emails_helper_spec.rb
    - spec/helpers/environments_helper_spec.rb
    - spec/helpers/form_helper_spec.rb
    - spec/helpers/gitlab_routing_helper_spec.rb
    - spec/helpers/integrations_helper_spec.rb
    - spec/helpers/issuables_helper_spec.rb
    - spec/helpers/markup_helper_spec.rb
    - spec/helpers/merge_requests_helper_spec.rb
    - spec/helpers/notes_helper_spec.rb
    - spec/helpers/numbers_helper_spec.rb
    - spec/helpers/preferences_helper_spec.rb
    - spec/helpers/projects_helper_spec.rb
    - spec/helpers/routing/pseudonymization_helper_spec.rb
    - spec/helpers/sorting_helper_spec.rb
    - spec/helpers/submodule_helper_spec.rb
    - spec/helpers/todos_helper_spec.rb
    - spec/helpers/tree_helper_spec.rb
    - spec/helpers/version_check_helper_spec.rb
    - spec/initializers/doorkeeper_spec.rb
    - spec/initializers/global_id_spec.rb
    - spec/initializers/hangouts_chat_http_override_spec.rb
    - spec/lib/api/base_spec.rb
    - spec/lib/api/entities/ci/job_request/image_spec.rb
    - spec/lib/api/entities/ci/job_request/port_spec.rb
    - spec/lib/api/helpers/authentication_spec.rb
    - spec/lib/api/helpers/caching_spec.rb
    - spec/lib/api/helpers/graphql_helpers_spec.rb
    - spec/lib/api/helpers/pagination_spec.rb
    - spec/lib/api/helpers/pagination_strategies_spec.rb
    - spec/lib/api/helpers/variables_helpers_spec.rb
    - spec/lib/api/helpers_spec.rb
    - spec/lib/atlassian/jira_connect/client_spec.rb
    - spec/lib/backup/files_spec.rb
    - spec/lib/backup/gitaly_rpc_backup_spec.rb
    - spec/lib/backup/repositories_spec.rb
    - spec/lib/banzai/cross_project_reference_spec.rb
    - spec/lib/banzai/filter/gollum_tags_filter_spec.rb
    - spec/lib/banzai/filter/repository_link_filter_spec.rb
    - spec/lib/banzai/pipeline/wiki_pipeline_spec.rb
    - spec/lib/banzai/querying_spec.rb
    - spec/lib/banzai/reference_parser/base_parser_spec.rb
    - spec/lib/banzai/reference_parser/commit_parser_spec.rb
    - spec/lib/banzai/reference_parser/commit_range_parser_spec.rb
    - spec/lib/banzai/render_context_spec.rb
    - spec/lib/banzai/renderer_spec.rb
    - spec/lib/bitbucket/connection_spec.rb
    - spec/lib/bitbucket/paginator_spec.rb
    - spec/lib/bitbucket_server/paginator_spec.rb
    - spec/lib/bulk_imports/clients/http_spec.rb
    - spec/lib/bulk_imports/common/extractors/graphql_extractor_spec.rb
    - spec/lib/bulk_imports/common/extractors/rest_extractor_spec.rb
    - spec/lib/bulk_imports/ndjson_pipeline_spec.rb
    - spec/lib/bulk_imports/network_error_spec.rb
    - spec/lib/bulk_imports/projects/pipelines/snippets_repository_pipeline_spec.rb
    - spec/lib/bulk_imports/projects/transformers/project_attributes_transformer_spec.rb
    - spec/lib/constraints/admin_constrainer_spec.rb
    - spec/lib/constraints/feature_constrainer_spec.rb
    - spec/lib/constraints/group_url_constrainer_spec.rb
    - spec/lib/constraints/jira_encoded_url_constrainer_spec.rb
    - spec/lib/constraints/project_url_constrainer_spec.rb
    - spec/lib/constraints/user_url_constrainer_spec.rb
    - spec/lib/csv_builder_spec.rb
    - spec/lib/csv_builders/stream_spec.rb
    - spec/lib/extracts_path_spec.rb
    - spec/lib/feature_spec.rb
    - spec/lib/gitaly/server_spec.rb
    - spec/lib/gitlab/api_authentication/token_locator_spec.rb
    - spec/lib/gitlab/application_context_spec.rb
    - spec/lib/gitlab/application_rate_limiter_spec.rb
    - spec/lib/gitlab/asciidoc/include_processor_spec.rb
    - spec/lib/gitlab/auth/auth_finders_spec.rb
    - spec/lib/gitlab/auth/blocked_user_tracker_spec.rb
    - spec/lib/gitlab/auth/ldap/adapter_spec.rb
    - spec/lib/gitlab/auth/ldap/authentication_spec.rb
    - spec/lib/gitlab/authorized_keys_spec.rb
    - spec/lib/gitlab/avatar_cache_spec.rb
    - spec/lib/gitlab/background_migration/base_job_spec.rb
    - spec/lib/gitlab/background_migration/batching_strategies/base_strategy_spec.rb
    - spec/lib/gitlab/background_migration/fix_merge_request_diff_commit_users_spec.rb
    - spec/lib/gitlab/background_migration/job_coordinator_spec.rb
    - spec/lib/gitlab/background_migration/migrate_merge_request_diff_commit_users_spec.rb
    - spec/lib/gitlab/background_migration_spec.rb
    - spec/lib/gitlab/bitbucket_import/importer_spec.rb
    - spec/lib/gitlab/bitbucket_import/project_creator_spec.rb
    - spec/lib/gitlab/bitbucket_server_import/importer_spec.rb
    - spec/lib/gitlab/cache/import/caching_spec.rb
    - spec/lib/gitlab/changelog/committer_spec.rb
    - spec/lib/gitlab/chat/responder/base_spec.rb
    - spec/lib/gitlab/chat/responder_spec.rb
    - spec/lib/gitlab/ci/badge/coverage/metadata_spec.rb
    - spec/lib/gitlab/ci/badge/coverage/template_spec.rb
    - spec/lib/gitlab/ci/badge/pipeline/metadata_spec.rb
    - spec/lib/gitlab/ci/badge/pipeline/template_spec.rb
    - spec/lib/gitlab/ci/build/cache_spec.rb
    - spec/lib/gitlab/ci/build/policy/changes_spec.rb
    - spec/lib/gitlab/ci/build/policy/variables_spec.rb
    - spec/lib/gitlab/ci/build/policy_spec.rb
    - spec/lib/gitlab/ci/build/prerequisite/kubernetes_namespace_spec.rb
    - spec/lib/gitlab/ci/build/rules/rule/clause/changes_spec.rb
    - spec/lib/gitlab/ci/build/rules/rule_spec.rb
    - spec/lib/gitlab/ci/build/rules_spec.rb
    - spec/lib/gitlab/ci/build/status/reason_spec.rb
    - spec/lib/gitlab/ci/config/entry/default_spec.rb
    - spec/lib/gitlab/ci/config/entry/job_spec.rb
    - spec/lib/gitlab/ci/config/entry/processable_spec.rb
    - spec/lib/gitlab/ci/config/external/context_spec.rb
    - spec/lib/gitlab/ci/config/external/file/local_spec.rb
    - spec/lib/gitlab/ci/config/external/file/project_spec.rb
    - spec/lib/gitlab/ci/config/external/rules_spec.rb
    - spec/lib/gitlab/ci/parsers/test/junit_spec.rb
    - spec/lib/gitlab/ci/pipeline/chain/command_spec.rb
    - spec/lib/gitlab/ci/pipeline/chain/evaluate_workflow_rules_spec.rb
    - spec/lib/gitlab/ci/pipeline/chain/helpers_spec.rb
    - spec/lib/gitlab/ci/pipeline/chain/limit/deployments_spec.rb
    - spec/lib/gitlab/ci/pipeline/chain/remove_unwanted_chat_jobs_spec.rb
    - spec/lib/gitlab/ci/pipeline/chain/sequence_spec.rb
    - spec/lib/gitlab/ci/pipeline/chain/skip_spec.rb
    - spec/lib/gitlab/ci/pipeline/chain/template_usage_spec.rb
    - spec/lib/gitlab/ci/pipeline/expression/lexeme/and_spec.rb
    - spec/lib/gitlab/ci/pipeline/expression/lexeme/equals_spec.rb
    - spec/lib/gitlab/ci/pipeline/expression/lexeme/matches_spec.rb
    - spec/lib/gitlab/ci/pipeline/expression/lexeme/not_equals_spec.rb
    - spec/lib/gitlab/ci/pipeline/expression/lexeme/not_matches_spec.rb
    - spec/lib/gitlab/ci/pipeline/expression/lexeme/or_spec.rb
    - spec/lib/gitlab/ci/pipeline/preloader_spec.rb
    - spec/lib/gitlab/ci/pipeline/quota/deployments_spec.rb
    - spec/lib/gitlab/ci/pipeline/seed/build_spec.rb
    - spec/lib/gitlab/ci/reports/security/report_spec.rb
    - spec/lib/gitlab/ci/status/build/action_spec.rb
    - spec/lib/gitlab/ci/status/build/cancelable_spec.rb
    - spec/lib/gitlab/ci/status/build/canceled_spec.rb
    - spec/lib/gitlab/ci/status/build/created_spec.rb
    - spec/lib/gitlab/ci/status/build/erased_spec.rb
    - spec/lib/gitlab/ci/status/build/failed_allowed_spec.rb
    - spec/lib/gitlab/ci/status/build/failed_spec.rb
    - spec/lib/gitlab/ci/status/build/pending_spec.rb
    - spec/lib/gitlab/ci/status/build/preparing_spec.rb
    - spec/lib/gitlab/ci/status/build/retried_spec.rb
    - spec/lib/gitlab/ci/status/build/retryable_spec.rb
    - spec/lib/gitlab/ci/status/build/skipped_spec.rb
    - spec/lib/gitlab/ci/status/build/stop_spec.rb
    - spec/lib/gitlab/ci/status/build/unschedule_spec.rb
    - spec/lib/gitlab/ci/status/canceled_spec.rb
    - spec/lib/gitlab/ci/status/core_spec.rb
    - spec/lib/gitlab/ci/status/created_spec.rb
    - spec/lib/gitlab/ci/status/factory_spec.rb
    - spec/lib/gitlab/ci/status/failed_spec.rb
    - spec/lib/gitlab/ci/status/manual_spec.rb
    - spec/lib/gitlab/ci/status/pending_spec.rb
    - spec/lib/gitlab/ci/status/pipeline/blocked_spec.rb
    - spec/lib/gitlab/ci/status/pipeline/delayed_spec.rb
    - spec/lib/gitlab/ci/status/preparing_spec.rb
    - spec/lib/gitlab/ci/status/running_spec.rb
    - spec/lib/gitlab/ci/status/scheduled_spec.rb
    - spec/lib/gitlab/ci/status/skipped_spec.rb
    - spec/lib/gitlab/ci/status/stage/play_manual_spec.rb
    - spec/lib/gitlab/ci/status/success_spec.rb
    - spec/lib/gitlab/ci/status/success_warning_spec.rb
    - spec/lib/gitlab/ci/status/waiting_for_resource_spec.rb
    - spec/lib/gitlab/ci/trace/archive_spec.rb
    - spec/lib/gitlab/ci/trace/remote_checksum_spec.rb
    - spec/lib/gitlab/ci/trace/stream_spec.rb
    - spec/lib/gitlab/ci/variables/builder_spec.rb
    - spec/lib/gitlab/cleanup/orphan_lfs_file_references_spec.rb
    - spec/lib/gitlab/cleanup/project_uploads_spec.rb
    - spec/lib/gitlab/cleanup/remote_uploads_spec.rb
    - spec/lib/gitlab/cluster/puma_worker_killer_observer_spec.rb
    - spec/lib/gitlab/cluster/rack_timeout_observer_spec.rb
    - spec/lib/gitlab/color_schemes_spec.rb
    - spec/lib/gitlab/conan_token_spec.rb
    - spec/lib/gitlab/config/entry/configurable_spec.rb
    - spec/lib/gitlab/config/entry/factory_spec.rb
    - spec/lib/gitlab/config/entry/simplifiable_spec.rb
    - spec/lib/gitlab/config/entry/unspecified_spec.rb
    - spec/lib/gitlab/config/entry/validator_spec.rb
    - spec/lib/gitlab/conflict/file_spec.rb
    - spec/lib/gitlab/cross_project_access/check_collection_spec.rb
    - spec/lib/gitlab/database/async_indexes_spec.rb
    - spec/lib/gitlab/database/background_migration/batched_migration_runner_spec.rb
    - spec/lib/gitlab/database/background_migration/batched_migration_wrapper_spec.rb
    - spec/lib/gitlab/database/batch_count_spec.rb
    - spec/lib/gitlab/database/count_spec.rb
    - spec/lib/gitlab/database/each_database_spec.rb
    - spec/lib/gitlab/database/load_balancing/configuration_spec.rb
    - spec/lib/gitlab/database/load_balancing/connection_proxy_spec.rb
    - spec/lib/gitlab/database/load_balancing/host_list_spec.rb
    - spec/lib/gitlab/database/load_balancing/host_spec.rb
    - spec/lib/gitlab/database/load_balancing/load_balancer_spec.rb
    - spec/lib/gitlab/database/load_balancing/rack_middleware_spec.rb
    - spec/lib/gitlab/database/load_balancing/resolver_spec.rb
    - spec/lib/gitlab/database/load_balancing/service_discovery_spec.rb
    - spec/lib/gitlab/database/load_balancing/setup_spec.rb
    - spec/lib/gitlab/database/load_balancing/sidekiq_server_middleware_spec.rb
    - spec/lib/gitlab/database/load_balancing_spec.rb
    - spec/lib/gitlab/database/migration_helpers_spec.rb
    - spec/lib/gitlab/database/migrations/background_migration_helpers_spec.rb
    - spec/lib/gitlab/database/migrations/instrumentation_spec.rb
    - spec/lib/gitlab/database/migrations/lock_retry_mixin_spec.rb
    - spec/lib/gitlab/database/migrations/observers/query_statistics_spec.rb
    - spec/lib/gitlab/database/migrations/observers/total_database_size_change_spec.rb
    - spec/lib/gitlab/database/migrations/runner_spec.rb
    - spec/lib/gitlab/database/partitioning/monthly_strategy_spec.rb
    - spec/lib/gitlab/database/partitioning/partition_manager_spec.rb
    - spec/lib/gitlab/database/partitioning/partition_monitoring_spec.rb
    - spec/lib/gitlab/database/partitioning/sliding_list_strategy_spec.rb
    - spec/lib/gitlab/database/partitioning_migration_helpers/backfill_partitioned_table_spec.rb
    - spec/lib/gitlab/database/partitioning_migration_helpers/table_management_helpers_spec.rb
    - spec/lib/gitlab/database/partitioning_spec.rb
    - spec/lib/gitlab/database/postgresql_adapter/empty_query_ping_spec.rb
    - spec/lib/gitlab/database/postgresql_database_tasks/load_schema_versions_mixin_spec.rb
    - spec/lib/gitlab/database/query_analyzer_spec.rb
    - spec/lib/gitlab/database/reindexing/grafana_notifier_spec.rb
    - spec/lib/gitlab/database/reindexing/reindex_concurrently_spec.rb
    - spec/lib/gitlab/database/shared_model_spec.rb
    - spec/lib/gitlab/database_spec.rb
    - spec/lib/gitlab/diff/file_collection_sorter_spec.rb
    - spec/lib/gitlab/diff/file_spec.rb
    - spec/lib/gitlab/diff/line_spec.rb
    - spec/lib/gitlab/diff/position_tracer_spec.rb
    - spec/lib/gitlab/doctor/secrets_spec.rb
    - spec/lib/gitlab/email/handler/service_desk_handler_spec.rb
    - spec/lib/gitlab/email/receiver_spec.rb
    - spec/lib/gitlab/email/service_desk_receiver_spec.rb
    - spec/lib/gitlab/error_tracking/processor/sidekiq_processor_spec.rb
    - spec/lib/gitlab/error_tracking_spec.rb
    - spec/lib/gitlab/etag_caching/middleware_spec.rb
    - spec/lib/gitlab/etag_caching/router/graphql_spec.rb
    - spec/lib/gitlab/etag_caching/router/rails_spec.rb
    - spec/lib/gitlab/etag_caching/router_spec.rb
    - spec/lib/gitlab/event_store/store_spec.rb
    - spec/lib/gitlab/experiment/rollout/feature_spec.rb
    - spec/lib/gitlab/experimentation/controller_concern_spec.rb
    - spec/lib/gitlab/experimentation/experiment_spec.rb
    - spec/lib/gitlab/experimentation_spec.rb
    - spec/lib/gitlab/external_authorization/access_spec.rb
    - spec/lib/gitlab/external_authorization/logger_spec.rb
    - spec/lib/gitlab/faraday/error_callback_spec.rb
    - spec/lib/gitlab/feature_categories_spec.rb
    - spec/lib/gitlab/git/blob_spec.rb
    - spec/lib/gitlab/git/commit_spec.rb
    - spec/lib/gitlab/git/repository_spec.rb
    - spec/lib/gitlab/git/rugged_impl/use_rugged_spec.rb
    - spec/lib/gitlab/git/tag_spec.rb
    - spec/lib/gitlab/git_access_snippet_spec.rb
    - spec/lib/gitlab/gitaly_client/commit_service_spec.rb
    - spec/lib/gitlab/gitaly_client/conflict_files_stitcher_spec.rb
    - spec/lib/gitlab/gitaly_client/conflicts_service_spec.rb
    - spec/lib/gitlab/gitaly_client/health_check_service_spec.rb
    - spec/lib/gitlab/gitaly_client/ref_service_spec.rb
    - spec/lib/gitlab/gitaly_client/remote_service_spec.rb
    - spec/lib/gitlab/gitaly_client/repository_service_spec.rb
    - spec/lib/gitlab/gitaly_client_spec.rb
    - spec/lib/gitlab/github_import/bulk_importing_spec.rb
    - spec/lib/gitlab/github_import/client_spec.rb
    - spec/lib/gitlab/github_import/importer/diff_note_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/diff_notes_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/issue_and_label_links_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/issue_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/issues_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/label_links_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/labels_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/lfs_objects_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/milestones_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/note_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/notes_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/pull_request_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/pull_request_merged_by_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/pull_request_review_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/pull_requests_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/pull_requests_merged_by_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/pull_requests_reviews_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/releases_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/repository_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/single_endpoint_diff_notes_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/single_endpoint_issue_notes_importer_spec.rb
    - spec/lib/gitlab/github_import/importer/single_endpoint_merge_request_notes_importer_spec.rb
    - spec/lib/gitlab/github_import/issuable_finder_spec.rb
    - spec/lib/gitlab/github_import/markdown_text_spec.rb
    - spec/lib/gitlab/github_import/milestone_finder_spec.rb
    - spec/lib/gitlab/github_import/object_counter_spec.rb
    - spec/lib/gitlab/github_import/page_counter_spec.rb
    - spec/lib/gitlab/github_import/parallel_importer_spec.rb
    - spec/lib/gitlab/github_import/parallel_scheduling_spec.rb
    - spec/lib/gitlab/github_import/representation/diff_note_spec.rb
    - spec/lib/gitlab/github_import/representation/issue_spec.rb
    - spec/lib/gitlab/github_import/representation/note_spec.rb
    - spec/lib/gitlab/github_import/representation/pull_request_review_spec.rb
    - spec/lib/gitlab/github_import/representation/pull_request_spec.rb
    - spec/lib/gitlab/github_import/representation/to_hash_spec.rb
    - spec/lib/gitlab/github_import/representation/user_spec.rb
    - spec/lib/gitlab/github_import/sequential_importer_spec.rb
    - spec/lib/gitlab/github_import/user_finder_spec.rb
    - spec/lib/gitlab/github_import_spec.rb
    - spec/lib/gitlab/gon_helper_spec.rb
    - spec/lib/gitlab/gpg/commit_spec.rb
    - spec/lib/gitlab/gpg/invalid_gpg_signature_updater_spec.rb
    - spec/lib/gitlab/gpg_spec.rb
    - spec/lib/gitlab/grape_logging/loggers/exception_logger_spec.rb
    - spec/lib/gitlab/grape_logging/loggers/perf_logger_spec.rb
    - spec/lib/gitlab/grape_logging/loggers/queue_duration_logger_spec.rb
    - spec/lib/gitlab/grape_logging/loggers/urgency_logger_spec.rb
    - spec/lib/gitlab/graphql/authorize/object_authorization_spec.rb
    - spec/lib/gitlab/graphql/batch_key_spec.rb
    - spec/lib/gitlab/graphql/find_argument_in_parent_spec.rb
    - spec/lib/gitlab/graphql/generic_tracing_spec.rb
    - spec/lib/gitlab/graphql/lazy_spec.rb
    - spec/lib/gitlab/graphql/loaders/issuable_loader_spec.rb
    - spec/lib/gitlab/graphql/pagination/keyset/conditions/not_null_condition_spec.rb
    - spec/lib/gitlab/graphql/pagination/keyset/conditions/null_condition_spec.rb
    - spec/lib/gitlab/graphql/pagination/keyset/connection_generic_keyset_spec.rb
    - spec/lib/gitlab/graphql/pagination/keyset/connection_spec.rb
    - spec/lib/gitlab/graphql/present/field_extension_spec.rb
    - spec/lib/gitlab/graphql/timeout_spec.rb
    - spec/lib/gitlab/graphql/tracers/application_context_tracer_spec.rb
    - spec/lib/gitlab/graphql/tracers/timer_tracer_spec.rb
    - spec/lib/gitlab/health_checks/gitaly_check_spec.rb
    - spec/lib/gitlab/hook_data/base_builder_spec.rb
    - spec/lib/gitlab/hotlinking_detector_spec.rb
    - spec/lib/gitlab/import/import_failure_service_spec.rb
    - spec/lib/gitlab/import/metrics_spec.rb
    - spec/lib/gitlab/import_export/attribute_cleaner_spec.rb
    - spec/lib/gitlab/import_export/base/relation_factory_spec.rb
    - spec/lib/gitlab/import_export/decompressed_archive_size_validator_spec.rb
    - spec/lib/gitlab/import_export/group/relation_factory_spec.rb
    - spec/lib/gitlab/import_export/importer_spec.rb
    - spec/lib/gitlab/import_export/project/relation_factory_spec.rb
    - spec/lib/gitlab/import_export/project/sample/relation_factory_spec.rb
    - spec/lib/gitlab/import_export/project/tree_saver_spec.rb
    - spec/lib/gitlab/issuables_count_for_state_spec.rb
    - spec/lib/gitlab/issues/rebalancing/state_spec.rb
    - spec/lib/gitlab/jira/middleware_spec.rb
    - spec/lib/gitlab/jira_import/issue_serializer_spec.rb
    - spec/lib/gitlab/jira_import/labels_importer_spec.rb
    - spec/lib/gitlab/jira_import/metadata_collector_spec.rb
    - spec/lib/gitlab/jira_import_spec.rb
    - spec/lib/gitlab/job_waiter_spec.rb
    - spec/lib/gitlab/json_cache_spec.rb
    - spec/lib/gitlab/kas/client_spec.rb
    - spec/lib/gitlab/kubernetes/config_map_spec.rb
    - spec/lib/gitlab/kubernetes/default_namespace_spec.rb
    - spec/lib/gitlab/kubernetes/helm/api_spec.rb
    - spec/lib/gitlab/kubernetes/namespace_spec.rb
    - spec/lib/gitlab/lazy_spec.rb
    - spec/lib/gitlab/legacy_github_import/branch_formatter_spec.rb
    - spec/lib/gitlab/legacy_github_import/comment_formatter_spec.rb
    - spec/lib/gitlab/legacy_github_import/importer_spec.rb
    - spec/lib/gitlab/legacy_github_import/issuable_formatter_spec.rb
    - spec/lib/gitlab/legacy_github_import/issue_formatter_spec.rb
    - spec/lib/gitlab/legacy_github_import/label_formatter_spec.rb
    - spec/lib/gitlab/legacy_github_import/milestone_formatter_spec.rb
    - spec/lib/gitlab/legacy_github_import/pull_request_formatter_spec.rb
    - spec/lib/gitlab/legacy_github_import/release_formatter_spec.rb
    - spec/lib/gitlab/legacy_github_import/user_formatter_spec.rb
    - spec/lib/gitlab/lets_encrypt/client_spec.rb
    - spec/lib/gitlab/mail_room/mail_room_spec.rb
    - spec/lib/gitlab/manifest_import/metadata_spec.rb
    - spec/lib/gitlab/markdown_cache/field_data_spec.rb
    - spec/lib/gitlab/merge_requests/commit_message_generator_spec.rb
    - spec/lib/gitlab/merge_requests/mergeability/redis_interface_spec.rb
    - spec/lib/gitlab/metrics/boot_time_tracker_spec.rb
    - spec/lib/gitlab/metrics/dashboard/importers/prometheus_metrics_spec.rb
    - spec/lib/gitlab/metrics/elasticsearch_rack_middleware_spec.rb
    - spec/lib/gitlab/metrics/exporter/base_exporter_spec.rb
    - spec/lib/gitlab/metrics/exporter/gc_request_middleware_spec.rb
    - spec/lib/gitlab/metrics/exporter/health_checks_middleware_spec.rb
    - spec/lib/gitlab/metrics/exporter/metrics_middleware_spec.rb
    - spec/lib/gitlab/metrics/rack_middleware_spec.rb
    - spec/lib/gitlab/metrics/requests_rack_middleware_spec.rb
    - spec/lib/gitlab/metrics/samplers/database_sampler_spec.rb
    - spec/lib/gitlab/metrics/samplers/puma_sampler_spec.rb
    - spec/lib/gitlab/metrics/samplers/ruby_sampler_spec.rb
    - spec/lib/gitlab/metrics/sli_spec.rb
    - spec/lib/gitlab/metrics/subscribers/action_cable_spec.rb
    - spec/lib/gitlab/metrics/subscribers/action_view_spec.rb
    - spec/lib/gitlab/metrics/subscribers/active_record_spec.rb
    - spec/lib/gitlab/metrics/subscribers/external_http_spec.rb
    - spec/lib/gitlab/metrics/subscribers/load_balancing_spec.rb
    - spec/lib/gitlab/metrics/subscribers/rack_attack_spec.rb
    - spec/lib/gitlab/metrics/subscribers/rails_cache_spec.rb
    - spec/lib/gitlab/metrics/web_transaction_spec.rb
    - spec/lib/gitlab/middleware/basic_health_check_spec.rb
    - spec/lib/gitlab/middleware/compressed_json_spec.rb
    - spec/lib/gitlab/middleware/go_spec.rb
    - spec/lib/gitlab/middleware/handle_malformed_strings_spec.rb
    - spec/lib/gitlab/middleware/multipart_spec.rb
    - spec/lib/gitlab/middleware/query_analyzer_spec.rb
    - spec/lib/gitlab/middleware/rails_queue_duration_spec.rb
    - spec/lib/gitlab/middleware/release_env_spec.rb
    - spec/lib/gitlab/middleware/sidekiq_web_static_spec.rb
    - spec/lib/gitlab/middleware/speedscope_spec.rb
    - spec/lib/gitlab/middleware/webhook_recursion_detection_spec.rb
    - spec/lib/gitlab/octokit/middleware_spec.rb
    - spec/lib/gitlab/optimistic_locking_spec.rb
    - spec/lib/gitlab/pages/settings_spec.rb
    - spec/lib/gitlab/pagination/cursor_based_keyset_spec.rb
    - spec/lib/gitlab/pagination/gitaly_keyset_pager_spec.rb
    - spec/lib/gitlab/pagination/keyset/cursor_based_request_context_spec.rb
    - spec/lib/gitlab/pagination/keyset/cursor_pager_spec.rb
    - spec/lib/gitlab/pagination/keyset/pager_spec.rb
    - spec/lib/gitlab/pagination/keyset/request_context_spec.rb
    - spec/lib/gitlab/pagination/keyset_spec.rb
    - spec/lib/gitlab/pagination/offset_header_builder_spec.rb
    - spec/lib/gitlab/pagination/offset_pagination_spec.rb
    - spec/lib/gitlab/performance_bar/stats_spec.rb
    - spec/lib/gitlab/phabricator_import/conduit/maniphest_spec.rb
    - spec/lib/gitlab/phabricator_import/conduit/response_spec.rb
    - spec/lib/gitlab/phabricator_import/conduit/user_spec.rb
    - spec/lib/gitlab/polling_interval_spec.rb
    - spec/lib/gitlab/popen/runner_spec.rb
    - spec/lib/gitlab/process_management_spec.rb
    - spec/lib/gitlab/profiler_spec.rb
    - spec/lib/gitlab/prometheus/adapter_spec.rb
    - spec/lib/gitlab/prometheus/queries/deployment_query_spec.rb
    - spec/lib/gitlab/prometheus/queries/knative_invocation_query_spec.rb
    - spec/lib/gitlab/prometheus/queries/matched_metric_query_spec.rb
    - spec/lib/gitlab/query_limiting/middleware_spec.rb
    - spec/lib/gitlab/quick_actions/dsl_spec.rb
    - spec/lib/gitlab/repository_cache_spec.rb
    - spec/lib/gitlab/routing_spec.rb
    - spec/lib/gitlab/runtime_spec.rb
    - spec/lib/gitlab/sanitizers/svg_spec.rb
    - spec/lib/gitlab/search/abuse_validators/no_abusive_coercion_from_string_validator_spec.rb
    - spec/lib/gitlab/search/abuse_validators/no_abusive_term_length_validator_spec.rb
    - spec/lib/gitlab/serializer/pagination_spec.rb
    - spec/lib/gitlab/sidekiq_config/cli_methods_spec.rb
    - spec/lib/gitlab/sidekiq_config/worker_spec.rb
    - spec/lib/gitlab/sidekiq_middleware/client_metrics_spec.rb
    - spec/lib/gitlab/sidekiq_middleware/memory_killer_spec.rb
    - spec/lib/gitlab/sidekiq_middleware/query_analyzer_spec.rb
    - spec/lib/gitlab/sidekiq_middleware/server_metrics_spec.rb
    - spec/lib/gitlab/sidekiq_middleware_spec.rb
    - spec/lib/gitlab/sidekiq_status/client_middleware_spec.rb
    - spec/lib/gitlab/sidekiq_status/server_middleware_spec.rb
    - spec/lib/gitlab/slash_commands/command_spec.rb
    - spec/lib/gitlab/slash_commands/deploy_spec.rb
    - spec/lib/gitlab/slash_commands/issue_close_spec.rb
    - spec/lib/gitlab/slash_commands/issue_comment_spec.rb
    - spec/lib/gitlab/slash_commands/issue_new_spec.rb
    - spec/lib/gitlab/slash_commands/issue_search_spec.rb
    - spec/lib/gitlab/slash_commands/issue_show_spec.rb
    - spec/lib/gitlab/slash_commands/presenters/run_spec.rb
    - spec/lib/gitlab/slash_commands/run_spec.rb
    - spec/lib/gitlab/spamcheck/client_spec.rb
    - spec/lib/gitlab/submodule_links_spec.rb
    - spec/lib/gitlab/suggestions/file_suggestion_spec.rb
    - spec/lib/gitlab/tab_width_spec.rb
    - spec/lib/gitlab/themes_spec.rb
    - spec/lib/gitlab/tracking_spec.rb
    - spec/lib/gitlab/usage/metric_spec.rb
    - spec/lib/gitlab/usage/metrics/instrumentations/database_metric_spec.rb
    - spec/lib/gitlab/usage/service_ping/payload_keys_processor_spec.rb
    - spec/lib/gitlab/usage_data_counters/merge_request_activity_unique_counter_spec.rb
    - spec/lib/gitlab/usage_data_spec.rb
    - spec/lib/gitlab/utils/usage_data_spec.rb
    - spec/lib/gitlab/verify/job_artifacts_spec.rb
    - spec/lib/gitlab/verify/lfs_objects_spec.rb
    - spec/lib/gitlab/verify/uploads_spec.rb
    - spec/lib/gitlab/view/presenter/base_spec.rb
    - spec/lib/gitlab/view/presenter/delegated_spec.rb
    - spec/lib/gitlab/view/presenter/simple_spec.rb
    - spec/lib/gitlab/workhorse_spec.rb
    - spec/lib/gitlab_edition_spec.rb
    - spec/lib/gitlab_spec.rb
    - spec/lib/google_api/cloud_platform/client_spec.rb
    - spec/lib/peek/views/active_record_spec.rb
    - spec/lib/peek/views/bullet_detailed_spec.rb
    - spec/lib/peek/views/external_http_spec.rb
    - spec/lib/safe_zip/entry_spec.rb
    - spec/lib/serializers/unsafe_json_spec.rb
    - spec/lib/sidebars/projects/menus/analytics_menu_spec.rb
    - spec/mailers/emails/service_desk_spec.rb
    - spec/mailers/notify_spec.rb
    - spec/metrics_server/metrics_server_spec.rb
    - spec/migrations/20210406144743_backfill_total_tuple_count_for_batched_migrations_spec.rb
    - spec/models/active_session_spec.rb
    - spec/models/application_record_spec.rb
    - spec/models/badge_spec.rb
    - spec/models/badges/project_badge_spec.rb
    - spec/models/ci/build_spec.rb
    - spec/models/ci/build_trace_chunk_spec.rb
    - spec/models/ci/commit_with_pipeline_spec.rb
    - spec/models/ci/group_spec.rb
    - spec/models/ci/pipeline_spec.rb
    - spec/models/clusters/applications/runner_spec.rb
    - spec/models/clusters/cluster_spec.rb
    - spec/models/clusters/platforms/kubernetes_spec.rb
    - spec/models/commit_signatures/gpg_signature_spec.rb
    - spec/models/commit_spec.rb
    - spec/models/commit_status_spec.rb
    - spec/models/concerns/atomic_internal_id_spec.rb
    - spec/models/concerns/legacy_bulk_insert_spec.rb
    - spec/models/concerns/prometheus_adapter_spec.rb
    - spec/models/concerns/sha256_attribute_spec.rb
    - spec/models/concerns/sha_attribute_spec.rb
    - spec/models/concerns/token_authenticatable_strategies/base_spec.rb
    - spec/models/concerns/token_authenticatable_strategies/encrypted_spec.rb
    - spec/models/concerns/triggerable_hooks_spec.rb
    - spec/models/concerns/x509_serial_number_attribute_spec.rb
    - spec/models/design_management/design_action_spec.rb
    - spec/models/design_management/design_at_version_spec.rb
    - spec/models/diff_viewer/image_spec.rb
    - spec/models/environment_spec.rb
    - spec/models/event_spec.rb
    - spec/models/external_issue_spec.rb
    - spec/models/hooks/web_hook_spec.rb
    - spec/models/integrations/asana_spec.rb
    - spec/models/integrations/chat_message/pipeline_message_spec.rb
    - spec/models/integrations/jira_spec.rb
    - spec/models/integrations/microsoft_teams_spec.rb
    - spec/models/integrations/pipelines_email_spec.rb
    - spec/models/issue_spec.rb
    - spec/models/key_spec.rb
    - spec/models/merge_request_diff_commit_spec.rb
    - spec/models/merge_request_spec.rb
    - spec/models/packages/package_spec.rb
    - spec/models/plan_limits_spec.rb
    - spec/models/project_import_state_spec.rb
    - spec/models/project_spec.rb
    - spec/models/ref_matcher_spec.rb
    - spec/models/release_highlight_spec.rb
    - spec/models/repository_spec.rb
    - spec/models/shard_spec.rb
    - spec/models/snippet_spec.rb
    - spec/models/ssh_host_key_spec.rb
    - spec/models/upload_spec.rb
    - spec/models/user_spec.rb
    - spec/policies/ci/bridge_policy_spec.rb
    - spec/presenters/ci/build_presenter_spec.rb
    - spec/presenters/ci/pipeline_artifacts/code_quality_mr_diff_presenter_spec.rb
    - spec/presenters/group_member_presenter_spec.rb
    - spec/presenters/merge_request_presenter_spec.rb
    - spec/presenters/packages/nuget/search_results_presenter_spec.rb
    - spec/presenters/project_member_presenter_spec.rb
    - spec/presenters/project_presenter_spec.rb
    - spec/requests/api/avatar_spec.rb
    - spec/requests/api/container_registry_event_spec.rb
    - spec/requests/api/graphql/mutations/design_management/delete_spec.rb
    - spec/requests/api/graphql/mutations/snippets/create_spec.rb
    - spec/requests/api/graphql/project/cluster_agents_spec.rb
    - spec/requests/api/graphql/project/pipeline_spec.rb
    - spec/requests/api/helpers_spec.rb
    - spec/requests/api/import_bitbucket_server_spec.rb
    - spec/requests/api/import_github_spec.rb
    - spec/requests/api/internal/base_spec.rb
    - spec/requests/api/maven_packages_spec.rb
    - spec/requests/api/project_container_repositories_spec.rb
    - spec/requests/api/users_preferences_spec.rb
    - spec/requests/jwt_controller_spec.rb
    - spec/requests/whats_new_controller_spec.rb
    - spec/rubocop/migration_helpers_spec.rb
    - spec/scripts/setup/find_jh_branch_spec.rb
    - spec/serializers/accessibility_reports_comparer_serializer_spec.rb
    - spec/serializers/admin/user_entity_spec.rb
    - spec/serializers/base_discussion_entity_spec.rb
    - spec/serializers/build_action_entity_spec.rb
    - spec/serializers/build_details_entity_spec.rb
    - spec/serializers/build_trace_entity_spec.rb
    - spec/serializers/ci/dag_job_entity_spec.rb
    - spec/serializers/ci/dag_job_group_entity_spec.rb
    - spec/serializers/ci/dag_pipeline_entity_spec.rb
    - spec/serializers/ci/dag_stage_entity_spec.rb
    - spec/serializers/ci/daily_build_group_report_result_entity_spec.rb
    - spec/serializers/ci/daily_build_group_report_result_serializer_spec.rb
    - spec/serializers/ci/job_entity_spec.rb
    - spec/serializers/ci/job_serializer_spec.rb
    - spec/serializers/ci/pipeline_entity_spec.rb
    - spec/serializers/codequality_reports_comparer_serializer_spec.rb
    - spec/serializers/commit_entity_spec.rb
    - spec/serializers/container_repositories_serializer_spec.rb
    - spec/serializers/container_repository_entity_spec.rb
    - spec/serializers/container_tag_entity_spec.rb
    - spec/serializers/deployment_cluster_entity_spec.rb
    - spec/serializers/deployment_entity_spec.rb
    - spec/serializers/detailed_status_entity_spec.rb
    - spec/serializers/diff_file_entity_spec.rb
    - spec/serializers/diffs_entity_spec.rb
    - spec/serializers/diffs_metadata_entity_spec.rb
    - spec/serializers/discussion_entity_spec.rb
    - spec/serializers/environment_entity_spec.rb
    - spec/serializers/environment_serializer_spec.rb
    - spec/serializers/environment_status_entity_spec.rb
    - spec/serializers/feature_flag_entity_spec.rb
    - spec/serializers/feature_flag_summary_entity_spec.rb
    - spec/serializers/group_child_entity_spec.rb
    - spec/serializers/group_child_serializer_spec.rb
    - spec/serializers/import/manifest_provider_repo_entity_spec.rb
    - spec/serializers/issuable_sidebar_extras_entity_spec.rb
    - spec/serializers/issue_board_entity_spec.rb
    - spec/serializers/issue_entity_spec.rb
    - spec/serializers/lfs_file_lock_entity_spec.rb
    - spec/serializers/linked_project_issue_entity_spec.rb
    - spec/serializers/merge_request_poll_cached_widget_entity_spec.rb
    - spec/serializers/merge_request_poll_widget_entity_spec.rb
    - spec/serializers/merge_request_sidebar_basic_entity_spec.rb
    - spec/serializers/merge_request_sidebar_extras_entity_spec.rb
    - spec/serializers/merge_request_widget_commit_entity_spec.rb
    - spec/serializers/merge_request_widget_entity_spec.rb
    - spec/serializers/merge_requests/pipeline_entity_spec.rb
    - spec/serializers/note_entity_spec.rb
    - spec/serializers/paginated_diff_entity_spec.rb
    - spec/serializers/pipeline_details_entity_spec.rb
    - spec/serializers/pipeline_serializer_spec.rb
    - spec/serializers/project_note_entity_spec.rb
    - spec/serializers/prometheus_alert_entity_spec.rb
    - spec/serializers/review_app_setup_entity_spec.rb
    - spec/serializers/runner_entity_spec.rb
    - spec/serializers/service_event_entity_spec.rb
    - spec/serializers/service_field_entity_spec.rb
    - spec/serializers/stage_entity_spec.rb
    - spec/serializers/suggestion_entity_spec.rb
    - spec/serializers/test_reports_comparer_serializer_spec.rb
    - spec/serializers/test_suite_entity_spec.rb
    - spec/serializers/trigger_variable_entity_spec.rb
    - spec/services/access_token_validation_service_spec.rb
    - spec/services/authorized_project_update/find_records_due_for_refresh_service_spec.rb
    - spec/services/award_emojis/toggle_service_spec.rb
    - spec/services/base_count_service_spec.rb
    - spec/services/bulk_imports/file_download_service_spec.rb
    - spec/services/ci/change_variables_service_spec.rb
    - spec/services/ci/create_pipeline_service_spec.rb
    - spec/services/ci/pipeline_creation/start_pipeline_service_spec.rb
    - spec/services/ci/prepare_build_service_spec.rb
    - spec/services/ci/process_pipeline_service_spec.rb
    - spec/services/ci/register_job_service_spec.rb
    - spec/services/ci/test_failure_history_service_spec.rb
    - spec/services/ci/update_build_queue_service_spec.rb
    - spec/services/ci/update_build_state_service_spec.rb
    - spec/services/clusters/applications/check_ingress_ip_address_service_spec.rb
    - spec/services/clusters/applications/create_service_spec.rb
    - spec/services/clusters/applications/prometheus_update_service_spec.rb
    - spec/services/clusters/applications/update_service_spec.rb
    - spec/services/clusters/aws/finalize_creation_service_spec.rb
    - spec/services/clusters/aws/provision_service_spec.rb
    - spec/services/clusters/aws/verify_provision_status_service_spec.rb
    - spec/services/clusters/build_kubernetes_namespace_service_spec.rb
    - spec/services/clusters/kubernetes/create_or_update_namespace_service_spec.rb
    - spec/services/clusters/kubernetes/create_or_update_service_account_service_spec.rb
    - spec/services/container_expiration_policies/cleanup_service_spec.rb
    - spec/services/deployments/create_service_spec.rb
    - spec/services/discussions/capture_diff_note_position_service_spec.rb
    - spec/services/event_create_service_spec.rb
    - spec/services/git/base_hooks_service_spec.rb
    - spec/services/git/process_ref_changes_service_spec.rb
    - spec/services/git/wiki_push_service/change_spec.rb
    - spec/services/ide/schemas_config_service_spec.rb
    - spec/services/import/bitbucket_server_service_spec.rb
    - spec/services/import/github_service_spec.rb
    - spec/services/import/gitlab_projects/create_project_from_remote_file_service_spec.rb
    - spec/services/issues/create_service_spec.rb
    - spec/services/issues/related_branches_service_spec.rb
    - spec/services/jira_connect_subscriptions/create_service_spec.rb
    - spec/services/merge_requests/add_todo_when_build_fails_service_spec.rb
    - spec/services/merge_requests/approval_service_spec.rb
    - spec/services/merge_requests/build_service_spec.rb
    - spec/services/merge_requests/close_service_spec.rb
    - spec/services/merge_requests/merge_service_spec.rb
    - spec/services/merge_requests/post_merge_service_spec.rb
    - spec/services/merge_requests/refresh_service_spec.rb
    - spec/services/merge_requests/reopen_service_spec.rb
    - spec/services/merge_requests/request_review_service_spec.rb
    - spec/services/merge_requests/toggle_attention_requested_service_spec.rb
    - spec/services/metrics/dashboard/clone_dashboard_service_spec.rb
    - spec/services/metrics/dashboard/update_dashboard_service_spec.rb
    - spec/services/metrics/users_starred_dashboards/create_service_spec.rb
    - spec/services/milestones/update_service_spec.rb
    - spec/services/namespaces/in_product_marketing_emails_service_spec.rb
    - spec/services/namespaces/invite_team_email_service_spec.rb
    - spec/services/notes/create_service_spec.rb
    - spec/services/notes/render_service_spec.rb
    - spec/services/notification_service_spec.rb
    - spec/services/packages/generic/create_package_file_service_spec.rb
    - spec/services/packages/maven/find_or_create_package_service_spec.rb
    - spec/services/packages/maven/metadata/sync_service_spec.rb
    - spec/services/packages/nuget/metadata_extraction_service_spec.rb
    - spec/services/pages/zip_directory_service_spec.rb
    - spec/services/post_receive_service_spec.rb
    - spec/workers/projects/after_import_worker_spec.rb
    - spec/services/projects/branches_by_mode_service_spec.rb
    - spec/services/projects/create_service_spec.rb
    - spec/services/projects/destroy_service_spec.rb
    - spec/services/projects/import_service_spec.rb
    - spec/services/projects/operations/update_service_spec.rb
    - spec/services/projects/overwrite_project_service_spec.rb
    - spec/services/projects/update_pages_service_spec.rb
    - spec/services/projects/update_remote_mirror_service_spec.rb
    - spec/services/projects/update_repository_storage_service_spec.rb
    - spec/services/projects/update_service_spec.rb
    - spec/services/repositories/changelog_service_spec.rb
    - spec/services/search_service_spec.rb
    - spec/services/service_ping/build_payload_service_spec.rb
    - spec/services/service_ping/permit_data_categories_service_spec.rb
    - spec/services/service_ping/service_ping_settings_spec.rb
    - spec/services/service_ping/submit_service_ping_service_spec.rb
    - spec/services/snippets/update_repository_storage_service_spec.rb
    - spec/services/spam/akismet_mark_as_spam_service_spec.rb
    - spec/services/spam/akismet_service_spec.rb
    - spec/services/spam/ham_service_spec.rb
    - spec/services/spam/spam_action_service_spec.rb
    - spec/services/spam/spam_params_spec.rb
    - spec/services/system_note_service_spec.rb
    - spec/services/system_notes/commit_service_spec.rb
    - spec/services/system_notes/issuables_service_spec.rb
    - spec/services/update_merge_request_metrics_service_spec.rb
    - spec/services/users/activity_service_spec.rb
    - spec/services/users/create_service_spec.rb
    - spec/services/users/refresh_authorized_projects_service_spec.rb
    - spec/services/users/update_service_spec.rb
    - spec/services/web_hook_service_spec.rb
    - spec/services/wiki_pages/base_service_spec.rb
    - spec/spam/concerns/has_spam_action_response_fields_spec.rb
    - spec/support/helpers/graphql_helpers.rb
    - spec/support/helpers/import_spec_helper.rb
    - spec/support/helpers/ldap_helpers.rb
    - spec/support/helpers/project_forks_helper.rb
    - spec/support/helpers/stub_metrics.rb
    - spec/support/helpers/stub_spam_services.rb
    - spec/support/import_export/common_util.rb
    - spec/support/prometheus/additional_metrics_shared_examples.rb
    - spec/support/shared_contexts/lib/gitlab/sidekiq_middleware/server_metrics_shared_context.rb
    - spec/support/shared_contexts/services/projects/container_repository/delete_tags_service_shared_context.rb
    - spec/support/shared_examples/controllers/githubish_import_controller_shared_examples.rb
    - spec/support/shared_examples/controllers/snippets_sort_order_shared_examples.rb
    - spec/support/shared_examples/graphql/mutations/http_integrations_shared_examples.rb
    - spec/support/shared_examples/lib/gitlab/config/inheritable_shared_examples.rb
    - spec/support/shared_examples/lib/gitlab/diff_file_collections_shared_examples.rb
    - spec/support/shared_examples/metrics/active_record_subscriber_shared_examples.rb
    - spec/support/shared_examples/metrics/sampler_shared_examples.rb
    - spec/support/shared_examples/models/chat_integration_shared_examples.rb
    - spec/support/shared_examples/models/concerns/integrations/slack_mattermost_notifier_shared_examples.rb
    - spec/support/shared_examples/models/members_notifications_shared_example.rb
    - spec/support/shared_examples/models/project_ci_cd_settings_shared_examples.rb
    - spec/support/shared_examples/namespaces/hierarchy_examples.rb
    - spec/support/shared_examples/requests/api/composer_packages_shared_examples.rb
    - spec/support/shared_examples/requests/api/conan_packages_shared_examples.rb
    - spec/support/shared_examples/requests/api/debian_common_shared_examples.rb
    - spec/support/shared_examples/requests/api/nuget_endpoints_shared_examples.rb
    - spec/support/shared_examples/requests/api/nuget_packages_shared_examples.rb
    - spec/support/shared_examples/requests/api/pypi_packages_shared_examples.rb
    - spec/support/shared_examples/requests/api/rubygems_packages_shared_examples.rb
    - spec/support/shared_examples/requests/rack_attack_shared_examples.rb
    - spec/support/shared_examples/serializers/diff_file_entity_shared_examples.rb
    - spec/support/shared_examples/serializers/environment_serializer_shared_examples.rb
    - spec/support/shared_examples/services/alert_management/alert_processing/alert_firing_shared_examples.rb
    - spec/support/shared_examples/services/alert_management/alert_processing/notifications_shared_examples.rb
    - spec/support/shared_examples/services/alert_management_shared_examples.rb
    - spec/support/shared_examples/services/boards/issues_move_service_shared_examples.rb
    - spec/support/shared_examples/services/check_ingress_ip_address_service_shared_examples.rb
    - spec/support/shared_examples/services/jira/requests/base_shared_examples.rb
    - spec/support/shared_examples/services/metrics/dashboard_shared_examples.rb
    - spec/support/shared_examples/services/projects/update_repository_storage_service_shared_examples.rb
    - spec/support/shared_examples/services/resource_events/synthetic_notes_builder_shared_examples.rb
    - spec/support/shared_examples/workers/background_migration_worker_shared_examples.rb
    - spec/support/shared_examples/workers/update_repository_move_shared_examples.rb
    - spec/tasks/gettext_rake_spec.rb
    - spec/tasks/gitlab/background_migrations_rake_spec.rb
    - spec/tasks/gitlab/check_rake_spec.rb
    - spec/tasks/gitlab/cleanup_rake_spec.rb
    - spec/tasks/gitlab/db_rake_spec.rb
    - spec/tasks/gitlab/packages/events_rake_spec.rb
    - spec/tasks/gitlab/setup_rake_spec.rb
    - spec/tooling/danger/project_helper_spec.rb
    - spec/tooling/danger/specs_spec.rb
    - spec/tooling/lib/tooling/helm3_client_spec.rb
    - spec/tooling/lib/tooling/kubernetes_client_spec.rb
    - spec/tooling/rspec_flaky/example_spec.rb
    - spec/tooling/rspec_flaky/listener_spec.rb
    - spec/uploaders/file_uploader_spec.rb
    - spec/uploaders/object_storage_spec.rb
    - spec/uploaders/personal_file_uploader_spec.rb
    - spec/uploaders/records_uploads_spec.rb
    - spec/views/projects/issues/show.html.haml_spec.rb
    - spec/views/shared/milestones/_issuables.html.haml_spec.rb
    - spec/views/shared/wikis/_sidebar.html.haml_spec.rb
    - spec/workers/bulk_imports/export_request_worker_spec.rb
    - spec/workers/chat_notification_worker_spec.rb
    - spec/workers/ci/build_prepare_worker_spec.rb
    - spec/workers/ci/create_cross_project_pipeline_worker_spec.rb
    - spec/workers/ci/create_downstream_pipeline_worker_spec.rb
    - spec/workers/ci/pipeline_bridge_status_worker_spec.rb
    - spec/workers/ci/pipeline_success_unlock_artifacts_worker_spec.rb
    - spec/workers/ci/ref_delete_unlock_artifacts_worker_spec.rb
    - spec/workers/clusters/agents/delete_expired_events_worker_spec.rb
    - spec/workers/concerns/application_worker_spec.rb
    - spec/workers/concerns/gitlab/github_import/object_importer_spec.rb
    - spec/workers/concerns/gitlab/github_import/stage_methods_spec.rb
    - spec/workers/container_expiration_policies/cleanup_container_repository_worker_spec.rb
    - spec/workers/create_commit_signature_worker_spec.rb
    - spec/workers/environments/auto_stop_worker_spec.rb
    - spec/workers/error_tracking_issue_link_worker_spec.rb
    - spec/workers/gitlab/github_import/advance_stage_worker_spec.rb
    - spec/workers/gitlab/github_import/import_diff_note_worker_spec.rb
    - spec/workers/gitlab/github_import/import_issue_worker_spec.rb
    - spec/workers/gitlab/github_import/import_note_worker_spec.rb
    - spec/workers/gitlab/github_import/import_pull_request_worker_spec.rb
    - spec/workers/gitlab/github_import/stage/finish_import_worker_spec.rb
    - spec/workers/gitlab/github_import/stage/import_base_data_worker_spec.rb
    - spec/workers/gitlab/github_import/stage/import_issues_and_diff_notes_worker_spec.rb
    - spec/workers/gitlab/github_import/stage/import_lfs_objects_worker_spec.rb
    - spec/workers/gitlab/github_import/stage/import_notes_worker_spec.rb
    - spec/workers/gitlab/github_import/stage/import_pull_requests_merged_by_worker_spec.rb
    - spec/workers/gitlab/github_import/stage/import_pull_requests_reviews_worker_spec.rb
    - spec/workers/gitlab/github_import/stage/import_pull_requests_worker_spec.rb
    - spec/workers/gitlab/github_import/stage/import_repository_worker_spec.rb
    - spec/workers/gitlab_performance_bar_stats_worker_spec.rb
    - spec/workers/invalid_gpg_signature_update_worker_spec.rb
    - spec/workers/irker_worker_spec.rb
    - spec/workers/issue_rebalancing_worker_spec.rb
    - spec/workers/issues/rebalancing_worker_spec.rb
    - spec/workers/merge_request_mergeability_check_worker_spec.rb
    - spec/workers/new_issue_worker_spec.rb
    - spec/workers/new_merge_request_worker_spec.rb
    - spec/workers/pages_domain_ssl_renewal_worker_spec.rb
    - spec/workers/pages_domain_verification_worker_spec.rb
    - spec/workers/post_receive_spec.rb
    - spec/workers/project_cache_worker_spec.rb
    - spec/workers/propagate_integration_group_worker_spec.rb
    - spec/workers/propagate_integration_inherit_descendant_worker_spec.rb
    - spec/workers/propagate_integration_inherit_worker_spec.rb
    - spec/workers/propagate_integration_project_worker_spec.rb
    - spec/workers/purge_dependency_proxy_cache_worker_spec.rb
    - spec/workers/repository_import_worker_spec.rb
    - spec/workers/system_hook_push_worker_spec.rb
    -
